﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridBatchEditingAndRelatedComboBoxes : System.Web.UI.Page
{
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Continent");
        table.Columns.Add("Country");
        table.Rows.Add("Europe0", "Europe0 - Germany0");
        table.Rows.Add("Europe1", "Europe1 - Germany0");
        table.Rows.Add("Europe2", "Europe2 - Germany0");
        this.RadGrid1.DataSource = table;
    }

    private const int ItemsPerRequest = 10;
    protected void RadComboBox2_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Continent");
        table.Columns.Add("Country");
        for (int i = 0; i < 100; i++)
        {
            table.Rows.Add("Europe" + i, e.Text + " - Germany" + i);
            (sender as RadComboBox).Items.Add(new RadComboBoxItem(table.Rows[i]["Country"].ToString(), i.ToString()));
        }
    }
    protected void RadComboBox1_ItemsRequested(object sender, RadComboBoxItemsRequestedEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Continent");
        table.Columns.Add("Country");
        for (int i = 0; i < 100; i++)
        {
            table.Rows.Add("Europe" + i, "Germany" + i);
            (sender as RadComboBox).Items.Add(new RadComboBoxItem(table.Rows[i]["Continent"].ToString(), i.ToString()));
        }
    }
    protected void RadGrid1_BatchEditCommand(object sender, GridBatchEditingEventArgs e)
    {
        foreach (var command in e.Commands)
        {
            
        }
    }
}